rs232.h File Reference

library for RS-232 communication (API) More...

Go to the source code of this file.

## Functions

void | rs232_setup (void)
| transmit and receive buffer sizes More...

## Detailed Description

library for RS-232 communication (API)

Author
  King Kévin kingk.nosp@m.evin.nosp@m.@cuvo.nosp@m.odoo.nosp@m..info

Date
  2017

Note
  peripherals used: USART USART peripheral used for RS-232 communication, GPIO GPIO pins used to control RS-232 communication

Definition in file rs232.h.

## Function Documentation

## rs232_setup()

void rs232_setup | ( | void |  | ) |

transmit and receive buffer sizes

how many bytes available in the received buffer since last read setup RS-232 peripheral

Definition at line 70 of file rs232.c.